org.minidns.record

## Enum NSEC3.HashAlgorithm

- java.lang.Object
- - java.lang.Enum<NSEC3.HashAlgorithm>
  - - org.minidns.record.NSEC3.HashAlgorithm

- All Implemented Interfaces:
    Serializable, Comparable<NSEC3.HashAlgorithm>
  Enclosing class:
    NSEC3

      public static enum NSEC3.HashAlgorithm
      extends Enum<NSEC3.HashAlgorithm>

  DNSSEC NSEC3 Hash Algorithms.
  See Also:
    IANA DNSSEC NSEC3 Hash Algorithms

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `RESERVED`
    `SHA1`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `description`
    `byte` | `value`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NSEC3.HashAlgorithm` | `forByte(byte b)`
    `static NSEC3.HashAlgorithm` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static NSEC3.HashAlgorithm[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RESERVED

          public static final NSEC3.HashAlgorithm RESERVED

    - #### SHA1

          public static final NSEC3.HashAlgorithm SHA1

  - ### Field Detail

    - #### description

          public final String description

    - #### value

          public final byte value

  - ### Method Detail

    - #### forByte

          public static NSEC3.HashAlgorithm forByte(byte b)

    - #### valueOf

          public static NSEC3.HashAlgorithm valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static NSEC3.HashAlgorithm[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NSEC3.HashAlgorithm c : NSEC3.HashAlgorithm.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared